
INSERT INTO bugreport (id, reporter_urn, email, commit_time, content)
VALUES (0, 'urn:publicid:IDN+example.com+user+one', 'tester@example.com', '2010-01-31T00:00:00Z',
        $${
          "id" : 0,
          "commitTime" : "2010-01-31T00:00:00Z",
          "description" : "Description 1",
          "environment" : "Environment 1",
          "version" : "version1",
          "reporterUrn" : "urn:publicid:IDN+example.com+user+one",
          "loggedInUserInfo" : "LoggedInUserInfo 1",
          "mail" : "tester@example.com",
          "preferences" : "test = one\npref = p\n",
          "connectivityTestResults" : [ {
            "name" : "conTest1",
            "status" : "SUCCEEDED",
            "message" : "conTestMessage1"
          }, {
            "name" : "conTest2",
            "status" : "FAILED",
            "message" : "conTestMessage2",
            "exception" : "conTest stacktrace"
          } ],
          "logLines" : [ {
            "time" : "2010-01-30T23:55:00Z",
            "className" : "class1",
            "level" : "DEBUG",
            "message" : "message1",
            "threadName" : "thread 1"
          }, {
            "time" : "2010-01-30T23:53:00Z",
            "className" : "class2",
            "level" : "ERROR",
            "message" : "message2",
            "exception" : "stacktrace",
            "threadName" : "thread 2"
          } ],
          "slices" : [ {
            "sliceUrn" : "urn:publicid:IDN+example.com+slice+s1",
            "status" : "ACTIVE",
            "expirationDate" : "2010-01-31T00:30:00Z",
            "slivers" : [ {
              "sliverUrn" : "urn:publicid:IDN+example.com+slivre+s1-1",
              "currentStatus" : "CURACTIVE",
              "sliverStatus" : "ACTIVESLIVER",
              "expirationDate" : "2010-01-31T00:29:00Z",
              "hasManifest" : true,
              "components" : [ "comp1", "comp2" ],
              "errorDetails" : [ {
                "error" : "sliverError1",
                "sliverUrn" : "urn:publicid:IDN+example.com+slivre+s1-1a",
                "componentUrn" : "urn:publicid:IDN+example.com+slivre+s1-1-c",
                "timestamp" : "2010-01-30T23:59:00Z"
              } ]
            } ]
          } ],
          "screenshot" : "screenshot 1",
          "stitchingJobReports" : [ {
            "name" : "stitch report 1",
            "stitchingJobStateReports" : [ {
              "name" : "stitch report 1 state 1",
              "start" : "2010-01-30T23:29:00Z",
              "end" : "2010-01-30T23:39:00Z",
              "status" : "SUCCEEDED",
              "logEntries" : [ {
                "time" : "2010-01-30T23:45:00Z",
                "className" : "classX",
                "level" : "TRACE",
                "message" : "messageX",
                "threadName" : "thread X"
              } ],
              "taskExecutions" : [ {
                "id" : "TaskExecutionReport1",
                "name" : "TaskExecutionReport 1",
                "state" : "SUCCESS",
                "taskClass" : "taskClass1",
                "start" : "2010-01-30T23:46:00Z",
                "end" : "2010-01-30T23:44:00Z",
                "apiCallDetailIds" : [ 1, 2, 3 ]
              } ]
            } ]
          } ],
          "reportType" : "BUG",
          "reportTarget" : "JFED",
          "relatedTestbeds" : [
            "urn:publicid:IDN+example.com+auth+am",
            "urn:publicid:IDN+two.example.com+auth+am"
          ],
          "subject" : "Test Subject 1",
          "postOnPublicList" : true,
          "@type" : "BugReport"
        }$$::jsonb);

INSERT INTO bugreport (id, reporter_urn, email, commit_time, content)
VALUES (1, 'urn:publicid:IDN+three.example.com+user+three', 'tester2@example.com', '2010-01-31T00:00:10Z',
        $${
          "id" : 1,
          "commitTime" : "2010-01-31T00:00:10Z",
          "description" : "Description 2",
          "environment" : "Environment 2",
          "version" : "version2",
          "reporterUrn" : "urn:publicid:IDN+three.example.com+user+three",
          "loggedInUserInfo" : "LoggedInUserInfo 2",
          "mail" : "tester@example.com",
          "preferences" : "test = two\npref = p2\n",
          "connectivityTestResults" : [ {
            "name" : "conTest3",
            "status" : "WARNING",
            "message" : "conTestMessage3"
          } ],
          "logLines" : [ {
            "time" : "2010-01-30T23:09:00Z",
            "className" : "class3",
            "level" : "INFO",
            "message" : "message3",
            "threadName" : "thread 3"
          } ],
          "screenshot" : "screenshot 2",
          "reportType" : "OTHER",
          "reportTarget" : "OTHER",
          "relatedTestbeds" : [ "urn:publicid:IDN+three.example.com+auth+am" ],
          "subject" : "Test Subject 2",
          "postOnPublicList" : false,
          "@type" : "BugReport"
        }$$::jsonb);

INSERT INTO bugreport (id, reporter_urn, email, commit_time, content)
VALUES (2, NULL, NULL, '2010-01-31T00:00:20Z',
        $${
          "id" : 2,
          "commitTime" : "2010-01-31T00:00:20Z",
          "@type" : "BugReport"
        }$$::jsonb);







INSERT INTO bugreportcall (bugreport_id, call_id, content)
VALUES (0, 11, $${
  "id": 11,
  "authorityName": "authorityName1",
  "authorityUrn": "authorityUrn1",
  "baseServerUrl": "baseServerUrl1",
  "callServerUrl": "callServerUrl1",
  "proxyInfo": {
    "hostname": "hostname1",
    "port": 22,
    "username": "username1",
    "sshKeyInfo": null,
    "hostKey": "hostKey1"
  },
  "connectionSslAuthUserUrn": "connectionSslAuthUserUrn1",
  "connectionBasicHttpAuthUsername": "connectionBasicHttpAuthUsername1",
  "connectionId": "connectionId1",
  "connectionSslAuthUserCertificates": "connectionSslAuthUserCertificates1",
  "connectionAuthenticationMethod": "connectionAuthenticationMethod1",
  "connectionProtocol": "connectionProtocol1",
  "connectionType": "connectionType1",
  "httpRequestStatusLine": "httpRequestStatusLine1",
  "httpRequestHeaders": "httpRequestHeaders1",
  "httpRequest": "httpRequest1",
  "httpResponseStatusLine": "httpResponseStatusLine1",
  "httpResponseHeaders": "httpResponseHeaders1",
  "httpResponse": "httpResponse1",
  "apiName": "apiName1",
  "javaMethodName": "javaMethodName1",
  "geniMethodName": "geniMethodName1",
  "xmlRpcRequestJsonString": "xmlRpcRequestJsonString1",
  "xmlRpcResponseJsonString": "xmlRpcResponseJsonString1",
  "xmlRpcGeniResponseValue": "xmlRpcGeniResponseValue1",
  "xmlRpcGeniResponseOutput": "xmlRpcGeniResponseOutput1",
  "xmlRpcGeniResponseCode": "xmlRpcGeniResponseCode1",
  "geniResponseCode": 0,
  "geniResponseCodeDescription": "geniResponseCodeDescription1",
  "geniResponseCodeIsSuccess": true,
  "geniResponseOutput": "geniResponseOutput1",
  "startTime": "2010-01-30T23:51:00Z",
  "stopTime": "2010-01-30T23:52:00Z",
  "protogeniSpewLogUrl": "protogeniSpewLogUrl1",
  "exceptionString": "exceptionString1"
}$$::jsonb);

INSERT INTO bugreportcall (bugreport_id, call_id, content)
VALUES (0, 12, $${
  "id": 12,
  "authorityName": "authorityName2",
  "authorityUrn": "authorityUrn2",
  "baseServerUrl": "baseServerUrl2",
  "callServerUrl": "callServerUrl2",
  "proxyInfo": {
    "hostname": "hostname2",
    "port": 2222,
    "username": "username",
    "sshKeyInfo": null,
    "hostKey": "hostKey2"
  },
  "connectionSslAuthUserUrn": "connectionSslAuthUserUrn2",
  "connectionBasicHttpAuthUsername": "connectionBasicHttpAuthUsername2",
  "connectionId": "connectionId2",
  "connectionSslAuthUserCertificates": "connectionSslAuthUserCertificates2",
  "connectionAuthenticationMethod": "connectionAuthenticationMethod2",
  "connectionProtocol": "connectionProtocol2",
  "connectionType": "connectionType2",
  "httpRequestStatusLine": "httpRequestStatusLine2",
  "httpRequestHeaders": "httpRequestHeaders2",
  "httpRequest": "httpRequest2",
  "httpResponseStatusLine": "httpResponseStatusLine2",
  "httpResponseHeaders": "httpResponseHeaders2",
  "httpResponse": "httpResponse2",
  "apiName": "apiName2",
  "javaMethodName": "javaMethodName2",
  "geniMethodName": "geniMethodName2",
  "methodParameters": "methodParameters2",
  "xmlRpcRequestJsonString": "xmlRpcRequestJsonString2",
  "xmlRpcResponseJsonString": "xmlRpcResponseJsonString2",
  "xmlRpcGeniResponseValue": "xmlRpcGeniResponseValue2",
  "xmlRpcGeniResponseOutput": "xmlRpcGeniResponseOutput2",
  "xmlRpcGeniResponseCode": "xmlRpcGeniResponseCode2",
  "geniResponseCode": 2,
  "geniResponseCodeDescription": "geniResponseCodeDescription2",
  "geniResponseCodeIsSuccess": false,
  "geniResponseOutput": "geniResponseOutput2",
  "rawValue": "rawValue2",
  "startTime": "2010-01-30T22:41:00Z",
  "stopTime": "2010-01-30T22:42:00Z",
  "protogeniSpewLogUrl": "protogeniSpewLogUrl2",
  "exceptionString": "exceptionString2"
}$$::jsonb);

INSERT INTO bugreportcall (bugreport_id, call_id, content)
VALUES (0, 13, $${ "id": 13 }$$::jsonb);


-- since we ignored sequence, make sure we can still make new rows
ALTER SEQUENCE bugreport_id_seq        RESTART WITH 4;


INSERT INTO oauth_access_token (username,service_provider_base_url,access_token,insert_time)
VALUES ('user1','http://example.com/','FakeAccessToken1',DEFAULT);

INSERT INTO oauth_access_token (username,service_provider_base_url,access_token,insert_time)
VALUES ('user2','http://example.com/','FakeAccessToken2',DEFAULT);

INSERT INTO oauth_access_token (username,service_provider_base_url,access_token,insert_time)
VALUES ('user1','http://example.com/2/','FakeAccessToken3',DEFAULT);
